Skip to content

Get Bundle

GET https://api.secure.quotivity.com/v1/bundles/{bundleId}

Retrieves a bundle with all its options split into included and add-on categories.

Send your API key in the x-api-key header. See Generating API keys.

Name Type Required Description
bundleId string Yes —
Status Body Description
200 GetBundleResponse Successfully retrieved bundle
401 — Unauthorized
404 — Bundle not found
500 — Internal Server Error
Field Type Required Description
id string Yes —
accountId string Yes —
isActive boolean Yes —
header BundleProduct No —
configuratorEnabled boolean No —
clonedBundleTempName string No —
Field Type Required Description
id string Yes —
accountId string Yes —
bundleId string Yes —
name string Yes —
description string No —
priceBookId string Yes —
displayOrder number Yes —
configuration BundleOptionConfiguration Yes —
Field Type Required Description
minCount number No —
maxCount number No —
defaultOptionProductId string No —
Field Type Required Description
id string Yes —
accountId string Yes —
bundleId string Yes —
optionId string Yes —
productId string Yes —
properties map of string to string Yes —
configuration BundleProductConfiguration No —
displayOrder number Yes —

Extends BundleOption.

Field Type Required Description
id string Yes —
accountId string Yes —
bundleId string Yes —
name string Yes —
description string No —
priceBookId string Yes —
displayOrder number Yes —
configuration BundleOptionConfiguration Yes —
defaultProduct BundleOptionProduct No —
Field Type Required Description
productId string Yes —
properties map of string to string Yes —
Field Type Required Description
minQuantity number No —
maxQuantity number No —
readonlyQuantity boolean No —
Field Type Required Description
bundle Bundle Yes —
options object Yes —